Subject: Re: Washington Issue 10 - Whitespace in SDP

From: Brian Rosen <[email-masked]>
Date: Tue, 16 Nov 1999 15:12:05 -0500

Either we change the rules and allow extra spaces, in which case
the MGC must filter out the extra whitespace before it passes
the SDP to any code that followed the SDP RFC, or we disallow
the extra whitespace, in which case users MUST NOT use leading
whitespace after the first <CR>

That is the point of the post.  With the text as it is, you
MUST NOT use leading whitespace.

Brian

> -----Original Message-----
> From: Abdallah Rayhan [mailto:[email-masked]]
> Sent: Tuesday, November 16, 1999 3:00 PM
> To: Brian Rosen
> Cc: [email-masked]
> Subject: Re: Washington Issue 10 - Whitespace in SDP
>
>
> Brian,
>
> I dont think it is a MEGACO issue. I remember going through this with
> Nancy Greene when we were composing the examples. It is a matter of
> pretty printing and that is why we have a statement in Appendix A that
> says consult SDP RFC when things differ. So the 2nd example is written
> so for clarity of reading and not to change SDP. When you
> want to print
> the message use pretty printing if you like but it is not a megaco
> issue.
>
> If you like spaces, then we could add something like, SDP parsing
> may allow spaces for clarity of reading but must support the no space
> case as in SDP RFC.
>
> Abdallah Rayhan
>
> Brian Rosen wrote:
>
> > I think the problem exists in SDP following a <CR>
> > The following is legal
> >       Add = A5556{
> >          Media {
> >             Stream = 1 {
> >                 Local = SDP {
> > v=0
> > c=IN IP4 125.125.125.111
> > m=audio 1111 RTP/AVP 4 0
> > a=sendreceive
> >                  }
> >             }
> >
> > The following would NOT be legal SDP.
> >       Add = A5556{
> >          Media {
> >             Stream = 1 {
> >                 Local = SDP {
> >                     v=0
> >                     c=IN IP4 125.125.125.111
> >                     m=audio 1111 RTP/AVP 4 0
> >                     a=sendreceive
> >                  }
> >             }
> >
> > If we want it to be legal Megaco, the MGC would have
> > to filter out the leading whitespace.  That is the subject
> > of the proposal.
> >
> > Brian
> >
> > > -----Original Message-----
> > > From: Abdallah Rayhan [mailto:[email-masked]]
> > > Sent: Tuesday, November 16, 1999 1:30 PM
> > > To: Brian Rosen
> > > Cc: [email-masked]
> > > Subject: Re: Washington Issue 10 - Whitespace in SDP
> > >
> > >
> > > I dont think this matter is an issue for us because our ABNF
> > > takes care
> > > of it.
> > >
> > > LBRKT = LWSP %x7B LWSP
> > > RBRKT = LWSP %x7D LWSP
> > >
> > > Hence, anything that is between "{" and SDP is consumed by LWSP
> > > in LBRKT and anything between SDP and "}" is consumed by LWSP
> > > in RBRKT.
> > >
> > > All we should care about is for the SDP block to be RFC2327
> > > compliant. Spaces before or after are not a problem.
> > >
> > > Abdallah Rayhan
> > >
> > > Brian Rosen wrote:
> > >
> > > > A number of issues were raised in the Washington meeting that
> > > > were "send to the list".  This is one of these issues, with the
> > > > problem and my suggested fix.
> > > >
> > > > Problem
> > > > SDP does not allow leading whitespace.  Megaco does.  Looking
> > > > at the examples, you can see why it might be good to allow
> > > > leading whitespace in SDP
> > > >
> > > > Proposal
> > > > Allow leading whitespace in SDP
> > > >
> > > > Brian
> > >
>